Bug 55742

Summary: [Chromium] Rebaseline CSS3 elliptical gradient tests linux, win32
Product: WebKit Reporter: noel gordon <noel.gordon>
Component: CSSAssignee: noel gordon <noel.gordon>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, jamesr, mihai, ojan, reed, senorblanco
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows 7   
Bug Depends on: 51841, 54625    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
css3-color-stop-units-diff.png
none
css3-color-stops-diff.png
none
css3-linear-angle-gradients-diff.png
none
css3-radial-gradients-diff.png
none
css3-radial-gradients2-diff.png
none
css3-repeating-radial-gradients-diff.png none

Description noel gordon 2011-03-03 21:11:33 PST
Following bug 51841, rebaseline CSS3 elliptical gradient tests for linux and win32.
Comment 1 noel gordon 2011-03-03 22:08:31 PST
Noticed the MAC chrome port is not passing the gradient tests, filed bug 55745 about that.
Comment 2 noel gordon 2011-03-03 22:50:30 PST
Created attachment 84693 [details]
Patch
Comment 3 noel gordon 2011-03-03 23:19:38 PST
There are pixel differences between linux and win32.  Not sure why.  Adding the diffs as attachments here.
Comment 4 noel gordon 2011-03-03 23:20:51 PST
Created attachment 84694 [details]
css3-color-stop-units-diff.png
Comment 5 noel gordon 2011-03-03 23:22:01 PST
Created attachment 84695 [details]
css3-color-stops-diff.png
Comment 6 noel gordon 2011-03-03 23:23:11 PST
Created attachment 84696 [details]
css3-linear-angle-gradients-diff.png
Comment 7 noel gordon 2011-03-03 23:25:03 PST
Created attachment 84697 [details]
css3-radial-gradients-diff.png
Comment 8 noel gordon 2011-03-03 23:26:25 PST
Created attachment 84698 [details]
css3-radial-gradients2-diff.png
Comment 9 noel gordon 2011-03-03 23:27:59 PST
Created attachment 84699 [details]
css3-repeating-radial-gradients-diff.png
Comment 10 Mihai Parparita 2011-03-04 15:14:38 PST
(In reply to comment #3)
> There are pixel differences between linux and win32.  Not sure why.  Adding the diffs as attachments here.

Looks like the text anti-aliasing, which is expected.
Comment 11 Ojan Vafai 2011-03-06 15:57:53 PST
(In reply to comment #10)
> (In reply to comment #3)
> > There are pixel differences between linux and win32.  Not sure why.  Adding the diffs as attachments here.
> 
> Looks like the text anti-aliasing, which is expected.

That's true for css3-color-stop-units-diff.png, but the others don't. I was guessing a difference in floating point rounding for the others? In either case, I think this is fine to commit.
Comment 12 noel gordon 2011-03-08 00:42:40 PST
Comment on attachment 84693 [details]
Patch

Agree, adding cq?
Comment 13 WebKit Commit Bot 2011-03-08 01:13:31 PST
Comment on attachment 84693 [details]
Patch

Clearing flags on attachment: 84693

Committed r80550: <http://trac.webkit.org/changeset/80550>
Comment 14 WebKit Commit Bot 2011-03-08 01:13:39 PST
All reviewed patches have been landed.  Closing bug.